Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055518 - before_device_migrate_source not being called
Summary: before_device_migrate_source not being called
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.1
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On: 1048763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 13:16 UTC by rhev-integ
Modified: 2016-02-10 19:24 UTC (History)
12 users (show)

Fixed In Version: is34
Doc Type: Bug Fix
Doc Text:
before_device_migrate_source is now called by VDSM as expected.
Clone Of: 1048763
Environment:
Last Closed: 2014-02-27 09:43:16 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0219 normal SHIPPED_LIVE vdsm 3.3.1 bug fix update 2014-02-27 14:42:16 UTC
oVirt gerrit 23006 None None None Never
oVirt gerrit 23012 None None None Never

Comment 3 Jiri Belka 2014-02-05 10:14:16 UTC
ok, vdsm-4.13.2-0.8.el6ev.x86_64

# engine-config -a | grep -i 'customdevice.*3\.3'
CustomDeviceProperties: {type=interface;prop={dhcp=^(true|false)$}} version: 3.3

I created two hooks, before_device_create and this one - before_device_migrate_source. Both hooks were executed, during VM's start-up and during migration.

# grep -i 'execcmd.*hook' /var/log/vdsm/vdsm.log | grep 00| tail -n2
Thread-27108::DEBUG::2014-02-05 10:01:36,639::utils::505::root::(execCmd) '/usr/libexec/vdsm/hooks/before_device_create/00_test' (cwd None)
Thread-27138::DEBUG::2014-02-05 10:02:19,494::utils::505::root::(execCmd) '/usr/libexec/vdsm/hooks/before_device_migrate_source/00_test' (cwd None)

Comment 5 errata-xmlrpc 2014-02-27 09:43:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0219.html


Note You need to log in before you can comment on or make changes to this bug.